
LD	= hlk -l
CFLAGS	= -DX68K -I../lib -I../ml -I../matrix ${OPT_CFLAGS}

SOBJS	= matclass.o setmat.o setvec.o
OBJS	= main.o fary.o ${SOBJS}
LIBS	= ../ml/ml.a ../matrix/matrix.a ../lib/lib.a
SLIBS	= ../ml/sml.a ../matrix/smatrix.a ../lib/slib.a
HDRS	= _matclass.h
SRCS	= matclass.c
CRT	= ../lib/crtx.o

#all	: matclass.dl
all	: matclass.h matclass.dl matclass.a smatclass.a test.x

matclass.dl: ${OBJS} ${CRT}
	${LD} -o matclass.dl ${CRT} ${OBJS} ${LIBS} ${CLIBS}

matclass.h: ${SRCS}
	func -h ${SRCS} ${HDRS}	 	> matclass.h

matclass.a: matcinit.o _matcinit.o

smatclass.a: smatcinit.o _smatcinit.o ${SOBJS}

fary.c	: ${SRCS}
	func -a lib.h ${HDRS} ${SRCS}	> fary.c

_matcinit.c : ${SRCS}
	func -e lib.h ${SRCS}		> _matcinit.c
	func -f ${SRCS}			>> _matcinit.c
	func -i MatrixClass ${SRCS}	>> _matcinit.c

_smatcinit.c : ${SRCS}
	func -e _matclass.h ${SRCS}	> _smatcinit.c
	func -f ${SRCS}			>> _smatcinit.c
	func -s MatrixClass ${SRCS}	>> _smatcinit.c

test.x	: test.o matclass.a ${LIBS}
	${LD} test.o matclass.a ${LIBS} ${CLIBS} ${lib}\clib.a

test.o : _matclass.h matclass.h
